org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec._FontSize

- All Superinterfaces:
    HamletSpec.__, HamletSpec._Child
  All Known Subinterfaces:
    HamletSpec._Cell, HamletSpec.A, HamletSpec.ABBR, HamletSpec.ACRONYM, HamletSpec.ADDRESS, HamletSpec.B, HamletSpec.BDO, HamletSpec.BUTTON, HamletSpec.CAPTION, HamletSpec.CITE, HamletSpec.CODE, HamletSpec.DD, HamletSpec.DEL, HamletSpec.DFN, HamletSpec.DIV, HamletSpec.DT, HamletSpec.EM, HamletSpec.FIELDSET, HamletSpec.Flow, HamletSpec.FontStyle, HamletSpec.H1, HamletSpec.H2, HamletSpec.H3, HamletSpec.H4, HamletSpec.H5, HamletSpec.H6, HamletSpec.I, HamletSpec.Inline, HamletSpec.INS, HamletSpec.KBD, HamletSpec.LABEL, HamletSpec.LEGEND, HamletSpec.LI, HamletSpec.OBJECT, HamletSpec.P, HamletSpec.Q, HamletSpec.SAMP, HamletSpec.SMALL, HamletSpec.SPAN, HamletSpec.STRONG, HamletSpec.SUB, HamletSpec.SUP, HamletSpec.TD, HamletSpec.TH, HamletSpec.VAR
  All Known Implementing Classes:
    Hamlet.A, Hamlet.ABBR, Hamlet.ACRONYM, Hamlet.ADDRESS, Hamlet.B, Hamlet.BDO, Hamlet.BUTTON, Hamlet.CAPTION, Hamlet.CITE, Hamlet.CODE, Hamlet.DD, Hamlet.DEL, Hamlet.DFN, Hamlet.DIV, Hamlet.DT, Hamlet.EM, Hamlet.FIELDSET, Hamlet.H1, Hamlet.H2, Hamlet.H3, Hamlet.H4, Hamlet.H5, Hamlet.H6, Hamlet.I, Hamlet.INS, Hamlet.KBD, Hamlet.LABEL, Hamlet.LEGEND, Hamlet.LI, Hamlet.OBJECT, Hamlet.P, Hamlet.Q, Hamlet.SAMP, Hamlet.SMALL, Hamlet.SPAN, Hamlet.STRONG, Hamlet.SUB, Hamlet.SUP, Hamlet.TD, Hamlet.TH, Hamlet.VAR
  Enclosing class:
    HamletSpec

      public static interface HamletSpec._FontSize
      extends HamletSpec._Child

  Part of %pre.exclusion

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.SMALL` | `small()` Add a SMALL (small print) element
    `HamletSpec._FontSize` | `small(String cdata)` Add a complete small (small print) element.
    `HamletSpec._FontSize` | `small(String selector, String cdata)` Add a complete small (small print) element.

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Method Detail

    - #### small

          HamletSpec.SMALL small()

      Add a SMALL (small print) element
      Returns:
        a new SMALL element builder

    - #### small

          HamletSpec._FontSize small(String cdata)

      Add a complete small (small print) element. Shortcut of: small().__(cdata).__();
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### small

          HamletSpec._FontSize small(String selector,
                                     String cdata)

      Add a complete small (small print) element. Shortcut of: small().$id(id).$class(class).__(cdata).__();
      Parameters:
        `selector` - css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.